Last Comment Bug 782491 - Cannot edit pages with "Another document with this slug already exists" error
: Cannot edit pages with "Another document with this slug already exists" error
Status: RESOLVED FIXED
:
Product: Mozilla Developer Network
Classification: Other
Component: Editing (show other bugs)
: unspecified
: All All
: P1 normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 809617
Blocks: 783793
  Show dependency treegraph
 
Reported: 2012-08-13 19:38 PDT by dynamis (Tomoya ASAI)
Modified: 2013-11-11 18:30 PST (History)
7 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Comment 1 dynamis (Tomoya ASAI) 2012-08-13 19:39:37 PDT
This may be duplicate (reopen) of bug 774184?
Comment 2 Jean-Yves Perrier [:teoli] 2012-08-14 00:57:12 PDT
I was able to edit all of these pages without error. Can you confirm if the problem is still there? It may have been bug 774184 or something else that is fixed since then.

I'm closing the bug right now, feel free to reopen it if you can reproduce.
Comment 3 ghost@ethertank.jp 2012-08-14 03:30:11 PDT
(In reply to Jean-Yves Perrier [:teoli] from comment #2)

This bug is still alive.
Comment 4 Jean-Yves Perrier [:teoli] 2012-08-14 04:14:04 PDT
That's strange as it works for me. Maybe is it a problem of rights?
/CC some people who may help us diagnose it.
Comment 5 ghost@ethertank.jp 2012-08-15 21:53:06 PDT
This page have same problem.

https://developer.mozilla.org/fr/docs/HTML/Canvas
Comment 7 Thierry Régagnon 2012-08-21 12:08:35 PDT
Experiencing it right now on this page full of spelling mistakes :(
https://developer.mozilla.org/fr/docs/HTML/introduction

There is a link on the text "Another document with this slug already exists" which links to the same page with the anchor #id_slug. But it doesn't work on my version of the edit page.
Comment 8 John Karahalis [:openjck] 2012-08-23 16:04:23 PDT
I noticed this, also in the French articles.

The strange thing is that it's off and on. I noticed this a couple of hours ago, but it's not happening now.
Comment 9 David Walsh :davidwalsh 2012-09-25 11:52:28 PDT
Traceback is:


Traceback (most recent call last):

  File "/data/www/developer.mozilla.org/kuma/vendor/src/django/django/core/handlers/base.py", line 100, in get_response
    response = callback(request, *callback_args, **callback_kwargs)

  File "/data/www/developer.mozilla.org/kuma/vendor/src/django-waffle/waffle/decorators.py", line 20, in _wrapped_view
    return view(request, *args, **kwargs)

  File "/data/www/developer.mozilla.org/kuma/vendor/src/django/django/views/decorators/http.py", line 37, in inner
    return func(request, *args, **kwargs)

  File "/data/www/developer.mozilla.org/kuma/apps/access/decorators.py", line 46, in _wrapped_view
    return view_fn(request, *args, **kwargs)

  File "/data/www/developer.mozilla.org/kuma/apps/wiki/views.py", line 168, in process
    return func(request, *args, **kwargs)

  File "/data/www/developer.mozilla.org/kuma/apps/wiki/decorators.py", line 13, in _check_readonly
    return view(request, *args, **kwargs)

  File "/data/www/developer.mozilla.org/kuma/apps/wiki/views.py", line 202, in _added_header
    response = func(request, *args, **kwargs)

  File "/data/www/developer.mozilla.org/kuma/vendor/src/django/django/db/transaction.py", line 271, in _autocommit
    return func(*args, **kw)

  File "/data/www/developer.mozilla.org/kuma/apps/wiki/views.py", line 710, in edit_document
    bypass_process_document_path=True)

  File "/data/www/developer.mozilla.org/kuma/vendor/src/django-waffle/waffle/decorators.py", line 20, in _wrapped_view
    return view(request, *args, **kwargs)

  File "/data/www/developer.mozilla.org/kuma/vendor/src/django/django/views/decorators/http.py", line 37, in inner
    return func(request, *args, **kwargs)

  File "/data/www/developer.mozilla.org/kuma/apps/access/decorators.py", line 46, in _wrapped_view
    return view_fn(request, *args, **kwargs)

  File "/data/www/developer.mozilla.org/kuma/apps/wiki/views.py", line 132, in process
    return func(request, document_path, *args, **kwargs)

  File "/data/www/developer.mozilla.org/kuma/apps/wiki/decorators.py", line 13, in _check_readonly
    return view(request, *args, **kwargs)

  File "/data/www/developer.mozilla.org/kuma/apps/wiki/views.py", line 202, in _added_header
    response = func(request, *args, **kwargs)

  File "/data/www/developer.mozilla.org/kuma/vendor/src/django/django/db/transaction.py", line 271, in _autocommit
    return func(*args, **kw)

  File "/data/www/developer.mozilla.org/kuma/apps/wiki/views.py", line 1282, in translate
    doc = doc_form.save(parent_doc)

  File "/data/www/developer.mozilla.org/kuma/apps/wiki/forms.py", line 150, in save
    doc.save()

  File "/data/www/developer.mozilla.org/kuma/apps/wiki/models.py", line 841, in save
    raise e

SlugCollision

Note You need to log in before you can comment on or make changes to this bug.